SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

IF NOT EXISTS (SELECT * FROM TALYASETUP.sys.objects WHERE object_id = OBJECT_ID(N'TALYASETUP.[dbo].[RT_REPORTS]') AND type in (N'U'))
BEGIN
CREATE TABLE TALYASETUP.[dbo].[RT_REPORTS](
	[KULLANICI_ID] [int] NULL,
	[SOL] [int] NULL,
	[UST] [int] NULL,
	[GENISLIK] [int] NULL,
	[YUKSEKLIK] [int] NULL,
	[BASLIK] [nvarchar](50) NULL,
	[MESAJ] [ntext] NULL,
	[SILINDI] [bit] NULL,
	[RENK] [int] NULL,
	[GORUNURLUK] [int] NULL,
	[YENI_MI] [int] NULL,
	[TARIH] [datetime] NULL,
	[FIRMAID] [int] NULL,
	[STAKIPID] [int] NULL,
	[REPORTID] [int] NOT NULL IDENTITY (1, 1),
	[REPORTTYPE] [int] NULL,
	[MODULEID] [int] NULL,
	[TITLE] [nvarchar](100) NULL,
	[SQL] [ntext] NULL,
	[GRIDDESIGN] [ntext] NULL,
	[FRDESIGN] [ntext] NULL,
	[PAGEDESIGN] [ntext] NULL,
	[STYLESNAME] [nvarchar](50) NULL,
	[DEFAULTFORMAT] [int] NULL,
	[PARENTID] [int] NULL,
	[VIEW1] [ntext] NULL,
	[VIEW2] [ntext] NULL,
	[VIEW3] [ntext] NULL,
	[VIEW4] [ntext] NULL,
	[VIEW5] [ntext] NULL,
	[ORDERNO] [int] NULL,
	[VIEW1_TITLE] [nvarchar](50) NULL,
	[VIEW2_TITLE] [nvarchar](50) NULL,
	[VIEW3_TITLE] [nvarchar](50) NULL,
	[VIEW4_TITLE] [nvarchar](50) NULL,
	[VIEW5_TITLE] [nvarchar](50) NULL,
	[PIVOTDESIGN] [ntext] NULL,
	[PIVOT_VIEW1] [ntext] NULL,
	[PIVOT_VIEW2] [ntext] NULL,
	[PIVOT_VIEW3] [ntext] NULL,
	[PIVOT_VIEW4] [ntext] NULL,
	[PIVOT_VIEW5] [ntext] NULL,
	[GUID] [nvarchar](50) NOT NULL,
	[MASTERGUID] [nvarchar](50) NULL,
	[KEYFIELDS] [nvarchar](50) NULL,
	[RPRNAME] [nvarchar](50) NULL,
 CONSTRAINT [PK_RT_REPORTS] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_RT_REPORTS] UNIQUE NONCLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO


